# B15F: PlottyFile Class Reference

PlottyFile Class Reference

## Public Member Functions

void | addDot (Dot &dot)
void | addDot (Dot dot)
void | setFunctionType (FunctionType)
void | setQuadrant (uint8_t)
void | setRefX (uint16_t)
void | setRefY (uint16_t)
void | setParaFirstCurve (uint16_t)
void | setParaStepWidth (uint16_t)
void | setUnitX (std::string)
void | setDescX (std::string)
void | setUnitY (std::string)
void | setDescY (std::string)
void | setUnitPara (std::string)
void | setDescPara (std::string)
FunctionType | getFunctionType (void) const
uint8_t | getQuadrant (void) const
uint16_t | getRefX (void) const
uint16_t | getRefY (void) const
uint16_t | getParaFirstCurve (void) const
uint16_t | getParaStepWidth (void) const
std::string | getUnitX (void) const
std::string | getDescX (void) const
std::string | getUnitY (void) const
std::string | getDescY (void) const
std::string | getUnitPara (void) const
std::string | getDescPara (void) const
void | writeToFile (std::string filename)
void | startPlotty (std::string filename)

## Detailed Description

Definition at line 17 of file plottyfile.h.

The documentation for this class was generated from the following files:

- drv/plottyfile.h
- drv/plottyfile.cpp